﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Uploading Accounts using File Based Import</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Accounts using File Based Import</h1>
        <p class="auto-cursor-target">The<strong> Upload&#160;Account </strong>option enables you to upload new accounts, associate accounts to new endpoints or add account owners (The Add Owner feature is available from Release v5.4.0 onwards) via a CSV file. While uploading account owners, you can add owners, update owners, or delete account owners. The account ownership is mainly used for certifications.&#160;From Release v5.5.0&#160;onwards, you can upload accounts using Custom Property 1 to 56.</p>
        <p class="auto-cursor-target">IGA provides a&#160;<a href="../../Resources/Attachments/Accounts import_sample.csv">sample CSV file</a>&#160;containing example values for accounts. To upload accounts, download this file to your server, modify its details, and upload it to IGA.&#160;The sample file includes different parameters tospecify the&#160;account&#160;details:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters in CSV</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">USER NAME</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the user that exists in IGA.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ACCOUNT NAME</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the account name for the user.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINT</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the endpoint name associated with the security system you select in the <strong>System Name</strong> field.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">STATUS</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the status value to mark the user's status.&#160;The below options can be configured:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>0: </strong>Inactive (Indicates that the current status of the user is inactive)</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>1: </strong>Active (Indicates that the current status of the user is active)</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">OWNER TYPE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the owner type value to specify if the account belongs to a user or user group.</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>User:</strong> To mark that the account belongs to a user.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>User Group:&#160;</strong>To mark that the account belongs to a user group.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">OWNER USER</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the owner associated with a manager.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">OWNER RANK</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the rank of the owner. You can specify values from 1 to 5.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">OPERATION</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify whether you want to add an owner (add), edit an owner (edit), or delete an owner (delete). Based on the operation specified (add, edit, or delete) owners are added, modified, or deleted from the account ownership.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENTTYPE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the entitlement value for the entitlement type associated with the security system selected in the <strong>System Name</strong> field.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">CUSTOMPROPERTY</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Specify the custom property value for the account.</p>
                            <p style="text-align: left;" class="table-text">For example, CORPORATE ACCOUNT MANAGEMENT for the department or cost centre of the user.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>To upload accounts, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Identity Repository &gt; Accounts &gt; Actions &gt; Upload Account</strong>.</p>
            </li>
            <li>
                <p class="auto-cursor-target">In the <strong>Enter Details for Account Import</strong>&#160;pop-up window that displays, specify the following parameters.<br /></p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 89.3409%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 18.5962%;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 81.4038%;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Data File</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Upload the CSV file with account details using the&#160;<strong style="text-decoration: none;text-align: left;">Select</strong> button. <br class="atl-forced-newline" style="text-decoration: none;text-align: left;" />After file upload, the file name is displayed.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">System Name</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify a system name. For example, AD, AWS</p>
                                    <p class="table-text">You can also select <strong>Create System</strong> to create a new security system in IGA.</p>
                                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                        <p class="note">While uploading the CSV file ensure that the&#160;ENDPOINT and&#160;30ENTITLEMENTTYPE are associated with this security system.</p>
                                    </div>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Delete Account</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to remove the existing account to entitlement mappings.&#160;</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>Yes:</strong> Removes the existing account to entitlement mapping and replaces it with new mappings specified in the file.&#160;For example, if you have an existing account&#160;acc1 mapped to entitlement1 in IGA and you are uploading a CSV file that has acc1 mapped to entitlement2, selecting <strong>Yes</strong>&#160;removes the existing account to entitlement mapping and adds the mapping of acc1 to entitlement2.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>No: </strong>Retains the existing mapping of accounts with entitlement for accounts and adds new mappings to entitlements in IGA.&#160;</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Action for Account</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to remove the existing account to endpoint mapping.&#160;</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>Yes: </strong>Removes the existing account to endpoint mapping and adds the new set of accounts uploaded through CSV for the endpoint.&#160;For example, if you have 200 accounts for an endpoint and you are uploading 100 more accounts for the same endpoint, selecting <strong>Yes</strong>&#160;removes the existing 200 accounts from IGA&#160; and adds the new set of 100 accounts.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>No:&#160;</strong>Retains the existing&#160;account to endpoint mapping and adds the new set of accounts uploaded through CSV for the endpoint.&#160;</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Delimiter</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the delimiter&#160;to be used in the data file being uploaded. <br class="atl-forced-newline" style="text-decoration: none;text-align: left;" /> The options are: </p>
                                    <ul>
                                        <li>
                                            <p class="table-text">Comma</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Pipe</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Tab</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">First row as heading</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to&#160;use the&#160;first row in the CSV file as the heading.</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>Yes: </strong>Uses the&#160;first row as the heading.&#160;</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>No: </strong>Does not use the first row as the heading.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Correlate Inactive Accounts</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify whether you want to&#160;correlate inactive accounts with a user.</p>
                                    <p class="table-text">To add a rule go to&#160;<strong>Admin &gt; Identity Repository &gt; Security Systems &gt; Endpoints &gt; User Account Correlation rule</strong>.</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p><strong>Yes: </strong>Correlates inactive accounts with a user based on the rule.</p>
                                        </li>
                                        <li>
                                            <p><strong>No: </strong>Does not correlate inactive accounts with a user.&#160;The default value is <strong style="color: rgb(23,43,77);">No</strong>.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Overwrite User Assigned</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p style="text-align: left;" class="table-text">Specify whether you want to remove the existing account to user mapping.&#160;</p>
                                    <p class="table-text">The options are:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>Yes:</strong> Removes the existing account to user mapping and replaces it with new mappings specified in the file. For example, if an existing user u1 is assigned an account acc1 with entitlements e1 and e2, selecting <strong>Yes</strong>&#160;removes the mapping of user u1 to acc1 and replaces it with a mapping of u2 with acc1, and hence user u2 will have access to entitlements e3 and e4.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>No: </strong>Retains the existing account to user mapping and adds the new set of accounts uploaded through CSV for the user.&#160;</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>
                <p>Click <strong>Upload and Preview</strong>.</p>
            </li>
            <li>
                <p>In <strong>Upload Account Preview</strong> page that displays, do one of the following:</p>
                <ul>
                    <li>
                        <p>Click <strong>Import From Job </strong>to start the import process using the SchemaAccountJob.<br />Ensure that both CSV and SAV files are available before performing the import operation.<br /></p>
                    </li>
                    <li>
                        <p>Click <strong>Import Now</strong> to start the import process immediately.<br />If you have selected <strong>First row as heading</strong> as <strong>No</strong>, manually map the account file fields to the database accounts table fields and click <strong>Import Now</strong>.<br /></p>
                    </li>
                    <li>
                        <p class="auto-cursor-target">If the upload is successful, the uploaded record details are populated in&#160;<strong>Upload Accounts Detail </strong>page under&#160;the following columns:<strong>&#160;Entitlement Values Inserted,&#160;Account Entitlement Mappings Inserted,&#160;Total Import Time</strong> in milliseconds,&#160;&#160;<strong>User Account Mappings Updated,&#160;Total Owners Updated,&#160;Accounts Deleted,&#160;Total Owners Added,&#160;User Account Mappings Inserted,&#160;Security Systems Inserted,&#160;Unsaved Accounts,&#160;Account Entitlement MappingsDeleted,&#160;Existing Users,&#160;Endpoints Inserted,&#160;Entitlement Types Inserted,&#160;total skipped duplicate entries,&#160;Total Record In File and&#160;Accounts Inserted</strong>.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Go to&#160;<strong>Admin &gt; Identity Repository &gt; Accounts </strong>to view the account details you uploaded using CSV file.</p>
            </li>
        </ol>
        <h2>Troubleshooting</h2>
        <p>IGA provides a <a href="https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/43198553742/original/Accounts not getting imported for disconnected Application.mp4?response-content-type=video%2Fmp4&amp;X-Amz-Algorithm=AWS4-HMAC-SHA256&amp;X-Amz-Credential=AKIAS6FNSMY2XLZULJPI%2F20220127%2Fus-east-1%2Fs3%2Faws4_request&amp;X-Amz-Date=20220127T224432Z&amp;X-Amz-Expires=300&amp;X-Amz-SignedHeaders=host&amp;X-Amz-Signature=4b4b1b4814a3d28c32c7cfcdc0ddb26a8e7a879ea9b84b1ae329b158b9a00171">Troubleshooting Video</a> containing troubleshooting steps. If an error occurs while importing accounts, see this video to get more information.</p>
    </body>
</html>